search menu icon-carat-right cmu-wordmark

CERT Coordination Center

Sun Solaris AUTH_DES authentication contains vulnerability allowing user to gain escalated privileges

Vulnerability Note VU#518057

Original Release Date: 2003-01-17 | Last Revised: 2003-01-17

Overview

A remotely exploitable privilege escalation vulnerability exists in multiple versions of Solaris.

Description

RPC requests utilizing AUTH_DES authentication can trigger a privilege escalation vulnerability in multiple versions of Solaris. For more details, please see Sun Alert ID 46944.

Impact

A remote attacker may be able to gain superuser access.

Solution

Apply a patch.

Vendor Information

518057
 
Affected   Unknown   Unaffected

Sun Microsystems Inc.

Updated:  January 17, 2003

Status

  Vulnerable

Vendor Statement

See http://sunsolve.sun.com/pub-cgi/retrieve.pl?doc=fsalert%2F46944&zone_32=category%3Asecurity

Vendor Information

The vendor has not provided us with any further information regarding this vulnerability.

Addendum

The CERT/CC has no additional comments at this time.

If you have feedback, comments, or additional information about this vulnerability, please send us email.


CVSS Metrics

Group Score Vector
Base N/A N/A
Temporal N/A N/A
Environmental N/A

References

Acknowledgements

Thanks to Sun Microsystems for the information contained in Sun Alert 46944.

This document was written by Ian A Finlay.

Other Information

CVE IDs: None
Severity Metric: 37.97
Date Public: 2002-12-23
Date First Published: 2003-01-17
Date Last Updated: 2003-01-17 15:56 UTC
Document Revision: 7

Sponsored by the Department of Homeland Security Office of Cybersecurity and Communications.